Subject: Re: linux-next: manual merge of the staging tree with the staging.current tree

From: Greg KH <[email-masked]>
Date: Wed, 22 Sep 2021 08:48:29 +0200

On Wed, Sep 22, 2021 at 12:45:30PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the staging tree got a conflict in:
> 
>   drivers/staging/r8188eu/os_dep/ioctl_linux.c
> 
> between commit:
> 
>   aa3233ea7bdb ("staging: r8188eu: fix -Wrestrict warnings")
> 
> from the staging.current tree and commit:
> 
>   7bdedfef085b ("staging: r8188eu: Remove mp, a.k.a. manufacturing process, code")
> 
> from the staging tree.
> 
> I fixed it up (the latter removed the code updated by the former, so I
> did that) and can carry the fix as necessary. This is now fixed as far as
> linux-next is concerned, but any non trivial conflicts should be mentioned
> to your upstream maintainer when your tree is submitted for merging.
> You may also want to consider cooperating with the maintainer of the
> conflicting tree to minimise any particularly complex conflicts.

Thanks, I'll resolve this when merging the branches together :)

greg k-h